# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.638   -> 1.639  
#	drivers/usb/input/hid-debug.h	1.5     -> 1.6    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/12	greg@kroah.com	1.639
# USB HID: remove some compiler warnings
# --------------------------------------------
#
diff -Nru a/drivers/usb/input/hid-debug.h b/drivers/usb/input/hid-debug.h
--- a/drivers/usb/input/hid-debug.h	Fri Jul 12 11:45:11 2002
+++ b/drivers/usb/input/hid-debug.h	Fri Jul 12 11:45:11 2002
@@ -345,7 +345,7 @@
 	printk(")\n");
 }
 
-static void hid_dump_device(struct hid_device *device) {
+static void __attribute__((unused)) hid_dump_device(struct hid_device *device) {
 	struct hid_report_enum *report_enum;
 	struct hid_report *report;
 	struct list_head *list;
@@ -379,7 +379,7 @@
 	}
 }
 
-static void hid_dump_input(struct hid_usage *usage, __s32 value) {
+static void __attribute__((unused)) hid_dump_input(struct hid_usage *usage, __s32 value) {
 	printk("hid-debug: input ");
 	resolv_usage(usage->hid);
 	printk(" = %d\n", value);
